Skip to main content
`Ctrl`+`K`

# ISColoringRestoreIS

Restores the index sets extracted from the coloring context with `ISColoringGetIS()` using `PETSC_USE_POINTER`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringRestoreIS(ISColoring iscoloring, PetscCopyMode mode, IS *is[])

Collective

## Input Parameters

- iscoloring - the coloring context

- mode - who retains ownership of the is

- is - array of index sets

## See Also

`ISColoring()`, `IS`, `ISColoringGetIS()`, `ISColoringView()`, `PetscCopyMode`

## Level

advanced

## Location

src/vec/is/is/utils/iscoloring.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages